Rate charging session
curl --request PATCH \
--url https://connect.cariqa.com/api/v1/users/{user_id}/charging-sessions/{session_id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://connect.cariqa.com/api/v1/users/{user_id}/charging-sessions/{session_id}/"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://connect.cariqa.com/api/v1/users/{user_id}/charging-sessions/{session_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"duration": 123,
"consumed_energy": "<string>",
"is_active": true,
"evse_id": "<string>",
"station_info": {
"station_name": "<string>",
"station_address": "<string>",
"country": "<string>",
"station_speed": "<string>",
"connector_standard": "<string>",
"connector_power": 123,
"support_phone": "<string>",
"latitude": "<string>",
"longitude": "<string>"
},
"is_partner": true,
"logo_url": "<string>",
"user_facing_session_prices": {
"kwh_price": "<string>",
"time_price": "<string>",
"session_fee": "<string>",
"blocking_fee": "<string>",
"starting_fee": "<string>",
"grace_period_minutes": 123,
"blocking_cap": "<string>",
"currency": "<string>"
},
"session_cost": {
"kwh_cost": "<string>",
"time_cost": "<string>",
"session_fee_cost": "<string>",
"blocking_fee_cost": "<string>",
"starting_fee_cost": "<string>",
"invoice_download": "<string>",
"invoice_vat": "<string>",
"invoice_summary": "<string>",
"invoice_credits": "<string>",
"invoice_discount": "<string>",
"currency": "<string>"
}
}{
"detail": "<string>",
"error": {
"details": "<string>",
"payment_intent_client_secret": "<string>"
}
}{
"detail": "<string>"
}{
"detail": "<string>"
}Charging Sessions
Rate charging session
Rate charging session
PATCH
/
api
/
v1
/
users
/
{user_id}
/
charging-sessions
/
{session_id}
/
Rate charging session
Authorizations
JWT Authorization header using the Bearer scheme.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
1- 12- 23- 34- 45- 5
Available options:
1, 2, 3, 4, 5 Required range:
0 <= x <= 32767Response
Pattern:
^-?\d{0,5}(?:\.\d{0,3})?$Show child attributes
Show child attributes
Return station's operator logo url.
Show child attributes
Show child attributes
PAYG summary serializer.
Show child attributes
Show child attributes
1- 12- 23- 34- 45- 5
Available options:
1, 2, 3, 4, 5 Required range:
0 <= x <= 32767Was this page helpful?
⌘I
